Package com.avaya.clientservices.network.http

## Class HttpSession

- java.lang.Object
- - com.avaya.clientservices.network.http.HttpSession

- All Implemented Interfaces:
    `IdentityHandler`

      public class HttpSession
      extends java.lang.Object
      implements IdentityHandler

  Java counterpart of CHttpSession

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CONTEXT_ATTRIBUTE_INITIAL_URI` |
    `static java.lang.String` | `CONTEXT_ATTRIBUTE_REDIRECTION_HISTORY` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HttpSession​(CertificateManager certificateManager, boolean overridePrivateTrustStore, java.lang.String minTLSVersion, java.util.List<java.lang.String> configuredCipherSuites)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `cancelAll()` |
    `boolean` | `getIdentityCertWasRequestedAndNull()` |
    `com.avaya.clientservices.network.http.HttpTask` | `sendRequest​(com.avaya.clientservices.network.http.Request request, com.avaya.clientservices.network.http.IHttpTaskHandler handler, SdkProxyInfo proxyInfo)` |
    `void` | `setIdentityCertWasRequestedAndNull​(boolean wasRequested)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTEXT_ATTRIBUTE_REDIRECTION_HISTORY

          public static final java.lang.String CONTEXT_ATTRIBUTE_REDIRECTION_HISTORY

      See Also:
        Constant Field Values

    - #### CONTEXT_ATTRIBUTE_INITIAL_URI

          public static final java.lang.String CONTEXT_ATTRIBUTE_INITIAL_URI

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HttpSession

          public HttpSession​(CertificateManager certificateManager,
                             boolean overridePrivateTrustStore,
                             java.lang.String minTLSVersion,
                             java.util.List<java.lang.String> configuredCipherSuites)
                      throws java.security.KeyStoreException,
                             java.security.cert.CertificateException,
                             java.security.NoSuchAlgorithmException,
                             java.io.IOException,
                             java.security.UnrecoverableKeyException,
                             java.security.KeyManagementException

      Throws:
        `java.security.KeyStoreException`
        `java.security.cert.CertificateException`
        `java.security.NoSuchAlgorithmException`
        `java.io.IOException`
        `java.security.UnrecoverableKeyException`
        `java.security.KeyManagementException`

  - ### Method Detail

    - #### sendRequest

          public com.avaya.clientservices.network.http.HttpTask sendRequest​(com.avaya.clientservices.network.http.Request request,
                                                                            com.avaya.clientservices.network.http.IHttpTaskHandler handler,
                                                                            SdkProxyInfo proxyInfo)

    - #### cancelAll

          public void cancelAll()

    - #### setIdentityCertWasRequestedAndNull

          public void setIdentityCertWasRequestedAndNull​(boolean wasRequested)

      Specified by:
        `setIdentityCertWasRequestedAndNull` in interface `IdentityHandler`

    - #### getIdentityCertWasRequestedAndNull

          public boolean getIdentityCertWasRequestedAndNull()

      Specified by:
        `getIdentityCertWasRequestedAndNull` in interface `IdentityHandler`